---
title: font-family
slug: Web/SVG/Attribute/font-family
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>font-family</code></strong> attribute indicates which font family will be used to render the text, specified as a prioritized list of font family names and/or generic family names.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>font-family</code> can be used as a CSS property. See the {{cssxref("font-family", "CSS font-family")}} property for more information.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following eight elements: {{SVGElement("altGlyph")}}, {{SVGElement("text")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, and {{SVGElement("tspan")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; hightlight[2,3]">&lt;svg viewBox="0 0 200 30" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;text y="20" font-family="Arial, Helvetica, sans-serif"&gt;Sans serif&lt;/text&gt;
  &lt;text x="100" y="20" font-family="monospace"&gt;Monospace&lt;/text&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "200", "30")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>{{csssyntax("font-family")}}</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td>Depends on user agent</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p>For a description of the values, please refer to the <a href="/en-US/docs/Web/CSS/font-family#Values">CSS <code>font-family</code></a> property.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Fonts", "#generic-font-families", "generic font families")}}</td>
   <td>{{Spec2("CSS4 Fonts")}}</td>
   <td>Adds new generic font families, specifically: <code>system-ui</code>, <code>emoji</code>, <code>math</code>, and <code>fangsong</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Fonts", "#font-family-prop", "font-family")}}</td>
   <td>{{Spec2("CSS3 Fonts")}}</td>
   <td>No significant change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#FontFamilyProperty", "font-family")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.font-family")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-family", "CSS font-family")}}</li>
</ul>
